<?php

# function file for Haddon 2016 child theme

# Enqueue the css 

$darkcolor = "blue";

add_action( 'wp_enqueue_scripts', 'theme_enqueue_styles');
function theme_enqueue_styles() {
    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' );
    
    if ($darkcolor == "blue") {
    	wp_enqueue_style( 'dark-style', get_stylesheet_directory_uri() . '/style-dark.css' );
    } else {
    	wp_enqueue_style( 'dark-style', get_stylesheet_directory_uri() . '/style-blue.css' );
    }

} # theme_enqueue_styles

# Remove the custom CSS from customizer.php 

add_action( 'wp_enqueue_scripts', 'remove_actions_parent_theme');
function remove_actions_parent_theme() {
 	remove_action( 'wp_enqueue_scripts', 'twentysixteen_page_background_color_css', 11 );
	remove_action( 'wp_enqueue_scripts', 'twentysixteen_link_color_css', 11 );
	remove_action( 'wp_enqueue_scripts', 'twentysixteen_main_text_color_css', 11 );
	remove_action( 'wp_enqueue_scripts', 'twentysixteen_secondary_text_color_css', 11 );
} # remove_actions_parent_theme

# Add additional file types to the media  

add_filter( 'upload_mimes', 'my_myme_types', 1, 1 );
function my_myme_types( $mime_types ) {
	$mime_types['epub'] = 'application/epub+zip';     // Adding .svg extension
	$mime_types['mobi'] = 'application/octet-stream'; // Adding .json extension
	return $mime_types;
} # my_myme_types

?>